List agents with their current presence and owner
import requests
url = "https://app.langwatch.ai/api/v1/agents"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/agents \
--header 'X-Auth-Token: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"type": "signature",
"config": {},
"environment": "<string>",
"ownerUserId": "<string>",
"hostLabel": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"parameters": [
{
"name": "<string>",
"description": "<string>",
"defaultValue": "<string>",
"secret": true,
"type": "string",
"options": [
"<string>"
],
"required": true
}
],
"owner": {
"userId": "<string>",
"name": "<string>"
},
"status": "online",
"instances": [
{
"instanceId": "<string>",
"hostname": "<string>",
"username": "<string>",
"pid": 123,
"label": "<string>",
"sdk": {
"name": "<string>",
"version": "<string>",
"language": "<string>"
},
"connectedAt": "2023-11-07T05:31:56Z",
"inflight": 123,
"maxConcurrency": 123
}
],
"selectable": true,
"notSelectableReason": "owned_by_another_person",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"platformUrl": "<string>"
}
],
"pagination": {
"page": 0,
"limit": 0,
"total": 0,
"totalPages": 0
}
}Agents
List Agents
GET
/
api
/
v1
/
agents
List agents with their current presence and owner
import requests
url = "https://app.langwatch.ai/api/v1/agents"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/agents \
--header 'X-Auth-Token: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"type": "signature",
"config": {},
"environment": "<string>",
"ownerUserId": "<string>",
"hostLabel": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"parameters": [
{
"name": "<string>",
"description": "<string>",
"defaultValue": "<string>",
"secret": true,
"type": "string",
"options": [
"<string>"
],
"required": true
}
],
"owner": {
"userId": "<string>",
"name": "<string>"
},
"status": "online",
"instances": [
{
"instanceId": "<string>",
"hostname": "<string>",
"username": "<string>",
"pid": 123,
"label": "<string>",
"sdk": {
"name": "<string>",
"version": "<string>",
"language": "<string>"
},
"connectedAt": "2023-11-07T05:31:56Z",
"inflight": 123,
"maxConcurrency": 123
}
],
"selectable": true,
"notSelectableReason": "owned_by_another_person",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"platformUrl": "<string>"
}
],
"pagination": {
"page": 0,
"limit": 0,
"total": 0,
"totalPages": 0
}
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Query Parameters
Required range:
x <= 9007199254740991Required range:
x <= 1000Last modified on August 31, 2026
Was this page helpful?